<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

db_connect($db_host, $db_user, $db_pass);

$id = safe_query( "select domain from domains where kunde = ?  and frontpage='1'", TRUE, new SQLString( $PHP_AUTH_USER ) );
if (db_num_rows($id) > 0)
	{
	 $frontpage = 1;
	}
else
	{
	 $fehlertext = ltext("alfr_error1");
	 db_close();
	 include("allgemein_start.php");
	 exit();
	}

$id = safe_query( "select benutzer, emailadresse from frontpage where kunde = ? ", TRUE, new SQLString( $PHP_AUTH_USER ) );
$werte = db_fetch_array($id);
$frontpageuser = $werte["benutzer"];
if ($ausdb != "nein")
	{
$emailadresse = $werte["emailadresse"];
	}

if ($db_type == "mysql")
	{
	 $id = safe_query( "SELECT domain FROM domains WHERE richtigedomain='3' AND kunde = ?  AND pfad='/' ORDER BY richtigedomain DESC LIMIT 0,1", TRUE, new SQLString( $PHP_AUTH_USER ) );
	} else
	{
	 $id = safe_query( "SELECT domain FROM domains WHERE richtigedomain='3' AND kunde = ?  AND pfad='/' ORDER BY richtigedomain DESC LIMIT 1,0", TRUE, new SQLString( $PHP_AUTH_USER ) );
	}

$werte = db_fetch_array($id);
$fpdomain = $werte["domain"];

$id = safe_query( "select statistik from kunden where kunde = ? ", TRUE, new SQLString( $PHP_AUTH_USER ) );
$werte = db_fetch_array($id);
$statistik = $werte["statistik"];
?>

<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
      <form action="allgemein_frontpage2.php" method="post" name="frontpage">
        <tr> 
          <td>
            <div align="right"><b><? echo ltext("alfr_cell_user"); ?></b></div>
          </td>
          <td>
            <? echo $frontpageuser; ?>
            </td>
        </tr>
        <tr> 
          <td>
            <div align="right"><b><? echo ltext("alfr_cell_url"); ?></b></div>
          </td>
          <td>http://<? echo $fpdomain; ?></td>
        </tr>
        <tr> 
          <td>
            <div align="right"><b><? echo ltext("alfr_cell_pass"); ?></b></div>
          </td>
          <td>
              <input type="password" name="neupw1">
          </td>
        </tr>
        <tr> 
          <td>
            <div align="right"><b><? echo ltext("alfr_cell_pass2"); ?></b></div>
          </td>
          <td>
              <input type="password" name="neupw2">
          </td>
        </tr>
        <tr> 
          <td>
            <div align="right"><b><? echo ltext("alfr_cell_email"); ?></b></div>
          </td>
          <td>
              <input type="text" name="emailadresse" value="<? echo $emailadresse; ?>">
          </td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td><? echo std_button(ltext('alfr_btn_send'), 'javascript:doChange()') ?></td>
        </tr>
      </table></form>
</BODY>
</HTML>
<?
db_close();
?>
